import { OrderDirection } from "./OrderDirection";
import { DeepPartial } from "../dto/deep-partial";
export declare class CreateManyRequestBody<T> {
    records: DeepPartial<T>[];
}
export declare class CreateManyResponseBody<T> {
    records: DeepPartial<T>[];
}
export declare class IdParam {
    id: number;
}
export declare class GetManyQueries<T> {
    fields?: {
        [k in keyof T]?: any;
    };
    order?: {
        [k in keyof T]?: OrderDirection;
    }[];
    projection?: (keyof T)[];
    search?: string;
    limit?: number;
    page?: number;
    locale?: string;
}
export declare class GetManyResponseBody<T> {
    total: number;
    records: DeepPartial<T>[];
}
export declare class UpdateManyQueries<T> {
    fields?: {
        [key in keyof T]?: any;
    };
    returning?: boolean;
}
export declare class UpdateManyResponse<T> {
    modified: DeepPartial<T>[];
}
export declare class UpdateManyBody<T> {
    update: DeepPartial<T>;
}
